## glib2.0 2.58.1

=== debian/changelog ===
glib2.0 (2.58.1-2) unstable; urgency=medium

  * Fix dh_missing rule for arch:all build with compat 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Sep 2018 23:53:00 -0400

glib2.0 (2.58.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release:
    - Fix-g_icon_to_string-regression-doc-inconsistency.patch
    - tests-timer-Skip-test_timeval_to_iso8601_overflow-if-we-c.patch
  * Refresh 61_glib-compile-binaries-path.patch
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 21 Sep 2018 20:11:06 -0400

glib2.0 (2.58.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Adjust installation path of gdb scripts to match GLib itself.
    We used to put libglib-2.0.so.0 in /lib/MULTIARCH, but this is no
    longer the case since 2.56.0-5.
  * Wrap and sort (build-)dependency lists (wrap-and-sort -a)
  * Wrap and sort file lists (wrap-and-sort -a)
  * Install HTML in /usr/share/gtk-doc/html with symlinks in /usr/share/doc.
    The gtk-doc documentation is technically a functionally significant
    part of the package (it affects cross-reference generation during build
    of other packages) so according to Policy §12.3 it is not appropriate
    for /usr/share/doc.
    Using the upstream default installation path for the HTML also makes
    it more straightforward to switch to the Meson build system, because
    the Meson build does not have an equivalent of --with-html-dir.
    - d/debian/libglib2.0-doc.maintscript: Add migration steps
  * d/p/debian/Look-for-gio-launch-desktop-in-libdir-glib-2.0.patch:
    Also patch meson build system

  [ Jeremy Bicha ]
  * Cherry-pick Fix-g_icon_to_string-regression-doc-inconsistency.patch
    - Have g_icon_new_for_string() go back to only returning a single name
      when created with a single name since some apps assume that behavior.
      (Closes: #908705)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 17 Sep 2018 17:47:57 -0400

glib2.0 (2.58.0-3) unstable; urgency=medium

  [ Iain Lane ]
  * Run fewer iterations of clousures test on armhf too

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 07 Sep 2018 13:51:53 -0400

glib2.0 (2.58.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix test_timeval_to_iso8601_overflow on
    32-bit, fixing FTBFS there.

 -- Iain Lane <laney@debian.org>  Tue, 04 Sep 2018 15:29:53 +0100

glib2.0 (2.58.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release:
    - date-test-Use-g_test_skip-not-g_test_incomplete.patch
    - g_binding_unbind-make-it-more-introspection-friendly-allo.patch:
  * Release to unstable

  [ Simon McVittie ]
  * d/p/debian/closures-test-Run-fewer-iterations-on-ARM64.patch:
    Update metadata
  * libglib2.0-dev-bin: Add Suggests for the packages containing
    xmllint and gdk-pixbuf-pixdata, which are sometimes invoked by
    glib-compile-resources (Closes: #834998)
  * Invoke dh_python3 twice so that we correctly rewrite the shebang
    line for /usr/bin scripts (Closes: #876009)
  * Don't install very old changelogs and NEWS files
  * Install README.md instead of stub README

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 08:57:46 -0400

glib2.0 (2.57.2-2) experimental; urgency=medium

  * Cherry-pick g_binding_unbind-make-it-more-introspection-friendly-allo.patch
    to fix pygobject build (LP: #1787474)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Aug 2018 12:54:49 -0400

glib2.0 (2.57.2-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
  * d/watch: Look for odd-numbered releases
  * Rebase patch series
  * Install gio-launch-desktop in libglib2.0-0's private libdir to avoid
    a circular dependency between libglib2.0-0 and libglib2.0-bin
    - d/p/debian/Look-for-gio-launch-desktop-in-libdir-glib-2.0.patch:
      Look for it there
  * d/copyright: Update
  * d/libglib2.0-0.symbols: Update
  * Use upstream autogen.sh for autoreconf
  * Don't clean org.gtk.test.gschema.override.orig
  * d/gbp.conf: Use upstream/latest branch
  * d/p/Drop-a-questionable-test-from-the-refstring-suite.patch:
    Add patch to fix FTBFS on i386
  * d/p/date-test-Use-g_test_skip-not-g_test_incomplete.patch:
    Add patch to fix autopkgtest failures without locales-all
  * d/gbp.conf: Don't number patches

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Aug 2018 17:44:16 +0100
