## glib2.0 2.58.3

=== debian/changelog ===
glib2.0 (2.58.3-2+deb10u1) buster; urgency=medium

  * Team upload
  * d/p/keyfile-settings-Use-tighter-permissions.patch:
    Backport patch from upstream 2.60.0 so that the GKeyFile settings
    backend creates ~/.config and configuration files with restrictive
    permissions (Closes: #931234, CVE-2019-13012)
  * d/gbp.conf: Swap branch to debian/buster

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2019 10:41:51 +0100

glib2.0 (2.58.3-2) unstable; urgency=medium

  * Team upload
  * d/p/gfile-Limit-access-to-files-when-copying.patch:
    Backport patch from upstream to ensure files don't temporarily have
    less restrictive permissions during copying
    (Closes: #929753, CVE-2019-12450)
  * d/watch: Only watch for 2.58.x releases now that 2.60.x is out
  * Add cross-reference to #919777 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jun 2019 22:37:45 +0100

glib2.0 (2.58.3-1) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Use upstream/2.58.x

  [ Simon McVittie ]
  * New upstream release
    - Fix crashes related to the GUnixMount API (Closes: #919777)
    - Make G_DEFINE_INTERFACE compatible with g++ -Wint-in-bool-context
    - Drop patches that were applied upstream
  * d/p/gdbusmessage-Fix-check-on-upper-limit-of-message-size.patch:
    Add patch from upstream glib-2-58 branch to limit the maximum size of
    D-Bus messages according to the protocol specification
    (the limit was 256M, and is now the correct 128M)

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Feb 2019 08:28:56 +0000

glib2.0 (2.58.2-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Update patch metadata

  [ Iain Lane ]
  * trash-test-Don-t-assume-that-.local-exists.patch,
    trash-test-Don-t-rely-on-being-able-to-determine-mount-po.patch:
    Cherry pick two patches by Simon McVittie (slightly modified by Iain Lane)
    to fix the trash test on Launchpad autobuilders.

 -- Iain Lane <laney@debian.org>  Thu, 17 Jan 2019 11:27:34 +0000

glib2.0 (2.58.2-3) unstable; urgency=medium

  * Team upload
  * Release to unstable
  * Standards-Version: 4.3.0 (no changes required)
  * d/p/gvariant-test-Also-force-alignment-for-tuple-test-data.patch:
    Mark as forwarded
  * debian/Skip-unreliable-test_threaded_singleton-by-default.patch:
    Don't run test_threaded_singleton() at build-time or in the part of
    the autopkgtest run that must succeed. Run it from d/tests/flaky
    instead.

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Jan 2019 08:43:36 +0000

glib2.0 (2.58.2-2) experimental; urgency=medium

  * Team upload
  * d/p/gvariant-test-Also-force-alignment-for-tuple-test-data.patch:
    Fix gvariant test failure on s390x by forcing more test data to be aligned
    (Closes: #917980)
  * d/p/debian/closures-test-Skip-on-arm-unless-flaky-tests-are-allowed.patch,
    d/tests/flaky:
    Only run closures test on arm* as part of a separate, flaky autopkgtest.
    This test does not seem to be reliable enough for its failures to be
    treated as release-critical, at least on arm*. If we run too many
    iterations, it fails on CPUs where 16-bit accesses are slow; if we run
    too few, it occasionally fails when one thread starves another.
    (Closes: #917983)
  * d/p/debian/Disable-some-tests-on-slow-architectures-which-keep-faili.patch,
    d/p/debian/Skip-test-which-performs-some-unreliable-floating-point-c.patch:
    d/tests/flaky:
    Use g_test_skip() for flaky tests, and run them from d/tests/flaky

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Jan 2019 09:35:04 +0000

glib2.0 (2.58.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop many patches that were applied upstream
  * d/p/tests-Allocate-gvariant-data-from-the-heap-to-guarantee-a.patch:
    Add patch from upstream to fix alignment of GVariant test data
  * d/libglib2.0-0.symbols: Update for new ABI
  * d/tests/installed-tests: Log execution environment
  * postinst: Convert triggers into a function
  * postinst: Quote strings with #TOKENS# to fix syntax highlighting
  * postinst: Add a vim modeline

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Jan 2019 10:59:39 +0000

glib2.0 (2.58.1-6) experimental; urgency=medium

  * Team upload
  * d/p/closures-test-Avoid-timeout-on-ARM64-CPUs.patch:
    Rename from
    d/p/debian/closures-test-Run-fewer-iterations-on-ARM64-and-armhf.patch,
    increase the test timeout to prevent this test from timing out on
    Cortex-A57 CPUs when building with Meson, and mark as forwarded
    upstream
  * Disable xattr support on kFreeBSD.
    kFreeBSD has stub implementations of getxattr() etc. which will
    always fail. Autoconf considers these to be present, but Meson
    detects them and treats them as absent, resulting in configuration
    failure.

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Nov 2018 14:19:18 +0000

glib2.0 (2.58.1-5) experimental; urgency=medium

  * Team upload
  * d/p/*:
    Update to upstream glib-2-58 branch as of 2.58.1-89-g7aa52a7d5,
    except for translations
  * d/p/mainloop-test-Fix-race-conditions.patch:
    Add patch from upstream git master to fix race conditions in
    mainloop test
  * d/p/meson-Define-__GCC_HAVE_SYNC_COMPARE_AND_SWAP_4-on-GNU-Li.patch:
    Add proposed patch to fix detection of atomic operations on armel
  * Respect nocheck in DEB_BUILD_OPTIONS
  * Adjust test timeouts:
    - Increase armel, armhf, hppa timeout multiplier from x3 to x5
    - Reduce mips*, sparc* timeout multiplier from x10 to x5
    - Reduce timeout multiplier for architectures known to have qemu
      buildds from x50 to x20
  * d/rules: Set Meson cross properties using a modified debcrossgen.
    This avoids embedding a local copy of GNUlib (v)(sn)printf when
    cross-compiling. (Workaround for #912559)

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 19:05:22 +0000

glib2.0 (2.58.1-4) experimental; urgency=medium

  * Team upload
  * d/rules: Deduplicate test invocation

