=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: dbus <!nocheck>,
                debhelper (>= 11),
                desktop-file-utils <!nocheck>,
@@ -26,6 +26,7 @@
                libselinux1-dev [linux-any],
                libxml2-utils,
                linux-libc-dev [linux-any],
+               meson (>= 0.47.0),
                pkg-config (>= 0.16.0),
                python3-dbus <!nocheck>,
                python3-distutils,
@@ -37,7 +38,7 @@
                xterm <!nocheck>,
                zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.gtk.org/
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
@@ -110,10 +111,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libglib2.0-0 (= ${binary:Version}),
+Depends: libffi-dev (>= 3.0.0),
+         libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libglib2.0-dev-bin (= ${binary:Version}),
+         libmount-dev (>= 2.28) [linux-any],
          libpcre3-dev (>= 1:8.31),
+         libselinux1-dev [linux-any],
          pkg-config,
          zlib1g-dev,
          ${misc:Depends},
