=== debian/watch ===
version=4
https://download.gnome.org/sources/glib/(2\.58)/ \
	glib@ANY_VERSION@\.tar\.xz
