## glib2.0 2.58.3.7

=== debian/changelog ===
glib2.0 (2.58.3.7-1+eagle) unstable; urgency=medium

  * update changelog.

 -- LiChengGang <lichenggang@uniontech.com>  Sun, 24 Apr 2022 10:33:04 +0800

glib2.0 (2.58.3.6-1+eagle) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-35457

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 08 Feb 2021 11:24:18 +0800

glib2.0 (2.58.3-2+deb10u3) buster; urgency=medium

  * d/patches: Resolve integer overflows, including CVE-2021-27219.
    These backported patches resolve an integer overflow that is known to
    be attacker-triggerable for denial of service in polkit (policykit-1),
    as well as replacing other simple uses of g_memdup() with g_memdup2().
    Overflows in most of these places would not be attacker-triggerable,
    but replacing them is simpler than assessing whether they are
    attacker-triggerable.
    The more complicated changes from 2.66.7 have not been backported,
    to avoid regressions in Debian 10; overflows in those locations are
    not believed to be attacker-triggerable. (Closes: #982778)
  * d/patches: Fix integer overflow CVE-2021-27218.
    This is not known to be exploitable in any particular program, but
    might be. (Closes: #982779)
  * d/patches: Fix a symlink attack affecting file-roller, CVE-2021-28153
    (Closes: #984969)

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Mar 2021 11:34:13 +0000

glib2.0 (2.58.3-2+deb10u2) buster; urgency=medium

  * Team upload
  * d/p/credentials-Invalid-Linux-struct-ucred-means-no-informati.patch,
    d/p/GDBus-prefer-getsockopt-style-credentials-passing-APIs.patch:
    Ensure libdbus clients can authenticate with a GDBusServer like the
    one in ibus, backported from upstream 2.62.x branch (Closes: #941018)
  * d/p/Add-a-test-for-GDBusServer-authentication.patch,
    d/p/gdbus-server-auth-test-Create-temporary-directory-for-Uni.patch,
    d/p/gdbus-server-auth-test-Include-gcredentialsprivate.h.patch:
    Backport regression test for #941018
  * Build-depend on libdbus-1-dev for better test coverage
  * d/control.in: Set branch to debian/buster in Vcs-Git

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Nov 2019 08:29:15 +0000
