## glib2.0 2.58.3.9

=== debian/changelog ===
glib2.0 (2.58.3.9-1+deepin) unstable; urgency=medium

  * fix CVE-2021-3800.

 -- yanghaibo <yanghaibo@uniontech.com>  Wed, 19 Oct 2022 09:39:21 +0800

glib2.0 (2.58.3.8-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix get mount info issue

 -- Ding Heng <dingheng@uniontech.com>  Fri, 17 Jun 2022 10:54:14 +0800
