=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,37 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with gnome,python3 --buildsystem=autoconf
+	dh $@ --with gnome,python3 --buildsystem=meson
 
 override_dh_autoreconf:
-	env NOCONFIGURE=1 dh_autoreconf ./autogen.sh
-
+	@:
+
+ifneq ($(filter hppa,$(DEB_HOST_ARCH_CPU)),)
+stack_grows_up = true
+else
+stack_grows_up = false
+endif
+
+ifneq ($(filter kfreebsd,$(DEB_HOST_ARCH_OS)),)
+have_non_stub_xattr = false
+else
+have_non_stub_xattr = true
+endif
+
+export DH_MESON_CROSS_FILE = debian/cross.txt
+
+# We use our own copy of debcrossgen to work around unimplemented feature
+# request https://bugs.debian.org/912559
 override_dh_auto_configure:
+ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+	debian/debcrossgen \
+		--set have_c99_snprintf=true \
+		--set have_c99_vsnprintf=true \
+		--set have_strlcpy=false \
+		--set have_unix98_printf=true \
+		--set growing_stack=$(stack_grows_up) \
+		-o debian/cross.txt
+endif
 	dh_auto_configure \
 		--builddirectory=debian/build/deb \
 		-- \
@@ -78,14 +103,52 @@
 export DBUS_SESSION_BUS_ADDRESS=this-should-not-be-used-and-will-fail:
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
+handle_test_failure := exit $$?
+else
+handle_test_failure := true
+endif
+
+# Upstream test timeouts assume an otherwise unloaded system, but that
+# isn't necessarily the case for a porterbox or multiple parallel builds
+test_timeout_multiplier = 3
+
+ifneq ($(filter arm hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
+$(info Slow architecture detected, increasing test timeout)
+test_timeout_multiplier = 5
+endif
+
+ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
+$(info Architecture with qemu buildds detected, increasing test timeout a lot)
+test_timeout_multiplier = 20
+endif
+
 override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Remove LD_PRELOAD so we don't run with fakeroot, which makes dbus-related tests fail
-	env -u LD_PRELOAD DEB_BUILD_TIME_TESTS=1 \
-	dh_auto_test --builddirectory=debian/build/deb -- -k check -j1
-else
-override_dh_auto_test-arch:
-	env -u LD_PRELOAD DEB_BUILD_TIME_TESTS=1 \
-	dh_auto_test --builddirectory=debian/build/deb -- -k check -j1 || true
+	# First run the non-flaky tests, and fail the build if they fail (on linux)
+	env -u LD_PRELOAD \
+		DEB_BUILD_TIME_TESTS=1 \
+		LC_ALL=C.UTF-8 \
+		MESON_TESTTHREADS=1 \
+	meson test -C debian/build/deb \
+		--no-rebuild \
+		--num-processes 1 \
+		--timeout-multiplier $(test_timeout_multiplier) \
+		--no-suite flaky \
+		--verbose \
+	|| $(handle_test_failure)
+	# and then run the flaky ones, but ignore them failing
+	env -u LD_PRELOAD \
+		DEB_BUILD_TIME_TESTS=1 \
+		LC_ALL=C.UTF-8 \
+		MESON_TESTTHREADS=1 \
+	meson test -C debian/build/deb \
+		--no-rebuild \
+		--num-processes 1 \
+		--timeout-multiplier $(test_timeout_multiplier) \
+		--suite flaky \
+		--verbose \
+	|| true
 endif
 
 # Skip build-time tests if all we are building is documentation; running
@@ -99,38 +162,51 @@
 # a build fails
 export VERBOSE=1
 
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+is_linux := true
+enable_selinux := enabled
+else
+is_linux := false
+enable_selinux := disabled
+endif
+
+ifneq ($(filter hurd kfreebsd,$(DEB_HOST_ARCH_OS)),)
+use_fam := true
+else
+use_fam := false
+endif
+
 # configure flags
 DEB_CONFIGURE_EXTRA_FLAGS := \
-			--libexecdir=\$${prefix}/lib/glib2.0 \
-			--with-python=/usr/bin/python3 \
-			--with-pcre=system
+	--libexecdir=lib/glib2.0 \
+	-Dinternal_pcre=false \
+	$(NULL)
 
 DEB_CONFIGURE_FLAGS_deb := \
-			--enable-static \
-			--enable-installed-tests \
-			--enable-always-build-tests \
-			--enable-debug=minimum
+	--default-library both \
+	-Dfam=$(use_fam) \
+	-Dinstalled_tests=true \
+	-Dlibmount=$(is_linux) \
+	-Dman=true \
+	-Dselinux=$(enable_selinux) \
+	-Dsystemtap=true \
+	-Dxattr=$(have_non_stub_xattr) \
+	$(NULL)
 
 ifneq ($(filter libglib2.0-doc,$(binaries)),)
-DEB_CONFIGURE_FLAGS_deb += --enable-gtk-doc
-else
-DEB_CONFIGURE_FLAGS_deb += --disable-gtk-doc
-endif
-
-# libmount is available on linux only
-ifeq ($(DEB_HOST_ARCH_OS), linux)
-  DEB_CONFIGURE_FLAGS_deb += \
-			--enable-libmount
-else
-  DEB_CONFIGURE_FLAGS_deb += \
-			--disable-libmount
-endif
-
+DEB_CONFIGURE_FLAGS_deb += -Dgtk_doc=true
+else
+DEB_CONFIGURE_FLAGS_deb += -Dgtk_doc=false
+endif
 
 DEB_CONFIGURE_FLAGS_udeb := \
-			--disable-selinux \
-			--disable-libmount \
-			--disable-gtk-doc
+	--default-library shared \
+	-Dgtk_doc=false \
+	-Dinstalled_tests=false \
+	-Dlibmount=false \
+	-Dselinux=disabled \
+	-Dxattr=$(have_non_stub_xattr) \
+	$(NULL)
 
 override_dh_auto_build:
 	mkdir -p debian/tmp-xdg-runtime-dir
@@ -146,7 +222,6 @@
 		    debian/libglib2.0-0.$$script.in \
 		    > debian/libglib2.0-0.$$script ; \
 	done
-	dh_auto_install -plibglib2.0-tests --sourcedir=debian/build/deb
 ifneq ($(filter %-udeb,$(binaries)),)
 	dh_auto_install -plibglib2.0-udeb --builddirectory=debian/build/udeb --destdir=debian/install/udeb
 endif
@@ -156,17 +231,19 @@
 	# dh_python3 can't process both a private directory and /usr/bin
 	# in the same invocation
 	dh_python3 -plibglib2.0-dev-bin /usr/share/glib-2.0/codegen
-	dh_python3 -plibglib2.0-dev-bin
+	dh_python3 -plibglib2.0-tests --no-ext-rename /usr/lib/glib2.0/installed-tests/glib
+	dh_python3
 
 override_dh_install:
 	# Unwanted bits from the .deb build
-	rm -f debian/install/deb/usr/lib/*/*.la
-	rm -f debian/install/deb/usr/lib/glib2.0/installed-tests/glib/*.la
-	rm -f debian/install/deb/usr/lib/glib2.0/installed-tests/glib/modules/*.la
 	rm -fr debian/install/deb/usr/share/glib-2.0/codegen/__pycache__
+	# https://gitlab.gnome.org/GNOME/glib/issues/1539
+	chmod -v 0644 debian/install/deb/usr/lib/glib2.0/installed-tests/glib/desktop-files/usr/applications/org.gnome.clocks.desktop
+	chmod -v 0644 debian/install/deb/usr/lib/glib2.0/installed-tests/glib/echo-script.bat
+	chmod -v 0644 debian/install/deb/usr/share/bash-completion/completions/gio
+	chmod -v 0644 debian/install/deb/usr/share/glib-2.0/codegen/codegen_main.py
 ifneq ($(filter %-udeb,$(binaries)),)
 	# Unwanted bits from the .udeb build
-	rm -f debian/install/udeb/usr/lib/*/*.la
 	rm -f debian/install/udeb/usr/lib/*/*.so
 	rm -fr debian/install/udeb/usr/share/gdb
 	rm -fr debian/install/udeb/usr/share/gettext/its
@@ -179,7 +256,3 @@
 	dh_install --remaining-packages --sourcedir=debian/install/deb
 
 override_dh_missing:
-	dh_missing --sourcedir=debian/install/deb --fail-missing
-ifneq ($(filter %-udeb,$(binaries)),)
-	dh_missing --sourcedir=debian/install/udeb --fail-missing
-endif
