## glib2.0 2.60.4

=== debian/changelog ===
glib2.0 (2.60.4-0ubuntu0.19.04.2) disco; urgency=medium

  * d/p/gcredentialsprivate-Document-the-various-private-macros.patch,
    d/p/credentials-Invalid-Linux-struct-ucred-means-no-informati.patch,
    d/p/GDBus-prefer-getsockopt-style-credentials-passing-APIs.patch,
    d/p/Add-a-test-for-GDBusServer-authentication.patch:
    - Ensure libdbus clients can authenticate with a GDBusServer like
      the one in ibus. The patches cherry picked from 2.62.2-2 in focal
      in order to allow the ibus fix of CVE-2019-14822 to be re-enabled
      without breaking ibus for Qt applications (LP: #1844853).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 30 Oct 2019 23:59:00 +0100

glib2.0 (2.60.4-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream release (LP: #1832457)
    + Leak fixes to some `glib-genmarshal` generated code
    + Further fixes to the Happy Eyeballs (RFC 8305) implementation
    + File system permissions fix to clamp down permissions in a small time window
      when copying files (CVE-2019-12450)
    + build: Fix a typo in the test whether _NL_ABALTMON_n is supported
    + Critical in g_socket_client_async_connect_complete
    + Fix crash when displaying notifications on macOS (!786)
    + Fix documentation for `gdbus-tool wait` to use correct units
    + Fix typo in German translation
    + glib/date test fails
    + glib/gconstructor.h: Include stdlib.h for MSVC builds
    + GNetworkAddressAddressEnumerator unsafely modifies cache in
      GNetworkAddress
    + gnetworkaddress: Fix parallel enumerations interfering with eachother
    + gnetworkmonitornm: Fix network available detection
    + Fixes to improved network status detection with NetworkManager (#1788)
    + GResource generation test incompatible with stable LLVM on Linux
    + gschema.dtd: Add target attribute to alias
    + gsocketclient: Fix a leak in the connection code
    + Improve network status detection with NetworkManager
    + Leaks in gsocketclient.c connection code
    + test_month_names: assertion failed
    + tests: Update month name check for Greek locale
    + Update gdb pretty-printer for GHashTable
    + Various fixes to small key/value support in `GHashTable`
    + New GHashTable implementation confuses valgrind
    + more GHashTable fixes
    + GDB pretty-printer for GHashTable no longer works
    + ghash: Disable small-arrays under valgrind
  * CVE-2019-12450.patch: Drop, in this upstream release

 -- Iain Lane <iain.lane@canonical.com>  Wed, 12 Jun 2019 10:04:45 +0100
