=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: dbus <!nocheck>,
                debhelper (>= 11),
                desktop-file-utils <!nocheck>,
@@ -26,7 +27,7 @@
                libselinux1-dev [linux-any],
                libxml2-utils,
                linux-libc-dev [linux-any],
-               meson (>= 0.47.0),
+               meson (>= 0.48.0),
                pkg-config (>= 0.16.0),
                python3-dbus <!nocheck>,
                python3-distutils,
@@ -40,8 +41,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: http://www.gtk.org/
-Vcs-Browser: https://salsa.debian.org/gnome-team/glib
-Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/glib/tree/debian/experimental
+Vcs-Git: https://salsa.debian.org/gnome-team/glib.git -b debian/experimental
 
 Package: libglib2.0-0
 Architecture: any
@@ -63,6 +64,7 @@
 Architecture: any
 Depends: shared-mime-info,
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib library of C routines - installed tests
